## kubernetes 1.20.2

=== debian/changelog ===
kubernetes (1.20.2-1) unstable; urgency=medium

  * New upstream release: 1.20.2

 -- Janos Lenart <ocsi@debian.org>  Thu, 14 Jan 2021 10:55:09 +0000

kubernetes (1.20.0-1) unstable; urgency=medium

  * New upstream release: 1.20.0
  * Fixes CVE-2020-8565

 -- Janos Lenart <ocsi@debian.org>  Wed, 09 Dec 2020 12:33:59 +0000

kubernetes (1.19.4-2) unstable; urgency=medium

  * Updated README.Debian

 -- Janos Lenart <ocsi@debian.org>  Sat, 21 Nov 2020 14:06:21 +0000

kubernetes (1.19.4-1) unstable; urgency=medium

  * New upstream release: 1.19.4

 -- Janos Lenart <ocsi@debian.org>  Tue, 17 Nov 2020 09:30:59 +0000

kubernetes (1.19.3-1) unstable; urgency=medium

  * New upstream release: 1.19.3
  * Building with golang-1.15
  * Fixes CVE-2020-8564, CVE-2020-8566

 -- Janos Lenart <ocsi@debian.org>  Wed, 21 Oct 2020 10:38:41 +0100

kubernetes (1.18.6-1) unstable; urgency=medium

  * New upstream release: 1.18.6
  * (An earlier version, 1.17.4-1 fixes CVE-2019-9946)

 -- Janos Lenart <ocsi@debian.org>  Thu, 16 Jul 2020 10:08:46 +0100

kubernetes (1.18.5-1) unstable; urgency=medium

  * New upstream release: 1.18.5
  * Fixes CVE-2020-8557, CVE-2020-8558, CVE-2020-8559

 -- Janos Lenart <ocsi@debian.org>  Wed, 15 Jul 2020 17:19:40 +0100

kubernetes (1.18.3-1) unstable; urgency=medium

  * New upstream release: 1.18.3
  * Improved build reproducibility

 -- Janos Lenart <ocsi@debian.org>  Tue, 02 Jun 2020 11:18:12 +0000

kubernetes (1.18.2-3) unstable; urgency=medium

  * Bumped Standards-Version
  * Improved build reproducibility

 -- Janos Lenart <ocsi@debian.org>  Fri, 15 May 2020 13:17:53 +0000

kubernetes (1.18.2-2) unstable; urgency=medium

  * Added i386 back

 -- Janos Lenart <ocsi@debian.org>  Sun, 03 May 2020 21:13:17 +0000

kubernetes (1.18.2-1) unstable; urgency=medium

  * New upstream release: 1.18.2

 -- Janos Lenart <ocsi@debian.org>  Sun, 03 May 2020 19:25:37 +0000

kubernetes (1.18.0-1) unstable; urgency=medium

  * New upstream release: 1.18.0

 -- Janos Lenart <ocsi@debian.org>  Sat, 28 Mar 2020 12:58:42 +0000

kubernetes (1.17.4-1) unstable; urgency=high

  * New maintainer (Closes: #886739)
  * New upstream release: 1.17.4 (Closes: #887741)
  * New Debian packaging from scratch. See README.Debian
  * kubernetes-node
    - Moved docker from Depends into Recommends as kubelet can also work with
      rkt, cri-o, etc. (Closes: #872690)
    - Not shipping systemd units for kubelet and kube-proxy for now
  * kubernetes-master
    - Moved etcd from Depends into Recommends as apiserver can also connect to
      a remote etcd/cluster.      
    - Not shipping systemd units for kube-apiserver, kube-schedules and
      kube-controller-manager for now

 -- Janos Lenart <ocsi@debian.org>  Sun, 15 Mar 2020 21:46:45 +0000

kubernetes (1.7.16+dfsg-1) unstable; urgency=medium

  [ Michael Stapelberg ]
  * Switch to XS-Go-Import-Path

  [ Dmitry Smirnov ]
  * Resurrected "mergo.patch" that has been mistakenly removed
    (Closes: #878254).
  * Re-enabled safeguard test for the above problem.
  * New upstream release:
    + CVE-2017-1002101 (Closes: #892801)
    + CVE-2017-1002102 (Closes: #894051)
  * Updated Vcs URLs for Salsa.
  * Standards-Version: 4.1.4
  * Build-Depends:
    - golang-go
    + golang-any
    + golang-github-appc-cni-dev
    + golang-github-armon-circbuf-dev
    + golang-github-azure-azure-sdk-for-go-dev
    + golang-github-dgrijalva-jwt-go-v3-dev
    + golang-github-docker-distribution-dev
    + golang-github-docker-docker-dev
    + golang-github-emicklei-go-restful-swagger12-dev
    + golang-github-gogo-protobuf-dev
    + golang-github-gorilla-websocket-dev
    + golang-github-grpc-ecosystem-go-grpc-prometheus-dev
    + golang-github-karlseguin-ccache-dev
    - golang-github-opencontainers-runc-dev
    + golang-github-opencontainers-docker-runc-dev
    + golang-github-pmezard-go-difflib-dev
    + golang-golang-x-time-dev
    + golang-golang-x-tools-dev
    + golang-google-grpc-dev
    + golang-gopkg-warnings.v0-dev
    + golang-goprotobuf-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 06 May 2018 16:20:21 +1000

kubernetes (1.7.7+dfsg-3) unstable; urgency=medium

  * kubernetes-master should depend on etcd (Closes: #855218).

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 22 Oct 2017 19:40:46 +0100

kubernetes (1.7.7+dfsg-2) unstable; urgency=medium

  * Use CURDIR, not PWD, unbreaks the build at buildds.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 06 Oct 2017 19:25:45 +0200

kubernetes (1.7.7+dfsg-1) unstable; urgency=medium

  [ Tim Potter ]
  * Open work for new release
  * Remove unused Files-Excluded entries from d/copyright
  * Remove Skydns B-D as no longer used
  * Don't build on ppc64 or ppc64le architectures

  [ Andrew Shadura ]
  * New upstream release.
  * Refresh patches.
  * Update build dependencies.
  * Symlink vendor packages to the build directory.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 06 Oct 2017 18:54:06 +0200
