## kubernetes 1.20.5%2Breally1.20.2

=== debian/changelog ===
kubernetes (1.20.5+really1.20.2-1) unstable; urgency=medium

  * This is actually still 1.20.2
  * Only contains the client, for the server binaries see unstable/fasttrack

 -- Janos Lenart <ocsi@debian.org>  Sun, 13 Jun 2021 07:08:18 +0000
