=== cluster/addons/fluentd-elasticsearch/es-image/Makefile ===
# Copyright 2017 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

.PHONY:	build push

PREFIX = quay.io/fluentd_elasticsearch
IMAGE = elasticsearch
TAG = v7.4.3

build:
	docker build --tag ${PREFIX}/${IMAGE}:${TAG} .
	docker build --tag ${PREFIX}/${IMAGE}:latest .

push:
	docker push ${PREFIX}/${IMAGE}:${TAG}
	docker push ${PREFIX}/${IMAGE}:latest
