=== debian/changelog ===
kubernetes (1.20.5+really1.20.2-1.1+deb12u1) bookworm; urgency=medium

  * Import patch for CVE-2021-25743
    - kubectl does not neutralize escape, meta or control sequences contained
      in the raw data it outputs to a terminal. This includes but is not
      limited to the unstructured string fields in objects such as Events.
  * d/p/*:
    - Import upstream patch to hide long and multiline strings when printing
    - Import upstream patch to restore ability to print long strings
    - CVE-2021-25743.patch: Import and backport upstream patch to fix CVE-2021-25743

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Sun, 08 Jun 2025 23:40:27 +0100

kubernetes (1.20.5+really1.20.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using golang-go (Closes: #1000980)

 -- Florian Ernst <florian@debian.org>  Sat, 02 Apr 2022 16:49:13 +0200
