=== debian/watch ===
version=4
https://github.com/kubernetes/kubernetes/releases /kubernetes/kubernetes/archive/v([^-]+).tar.gz
