=== debian/control ===
Source: kubernetes
Section: admin
Priority: optional
Maintainer: Debian Kubernetes Packaging Team <team+kubernetes@tracker.debian.org>
Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>,
           Janos Lenart <ocsi@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-golang,
               golang-any,
               golang-github-chai2010-gettext-go-dev,
               golang-github-daviddengcn-go-colortext-dev,
               golang-github-distribution-reference-dev,
               golang-github-evanphx-json-patch-dev,
               golang-github-exponent-io-jsonpath-dev,
               golang-github-fatih-camelcase-dev,
               golang-github-go-openapi-jsonreference-dev,
               golang-github-google-gnostic-models-dev,
               golang-github-google-go-cmp-dev,
               golang-github-jonboulle-clockwork-dev,
               golang-github-liggitt-tabwriter-dev,
               golang-github-lithammer-dedent-dev,
               golang-github-makenowjust-heredoc-dev,
               golang-github-mitchellh-go-wordwrap-dev,
               golang-github-moby-term-dev,
               golang-github-onsi-ginkgo-v2-dev,
               golang-github-pkg-errors-dev,
               golang-github-russross-blackfriday-v2-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-sys-dev,
               golang-gopkg-yaml.v2-dev,
               golang-k8s-api-dev,
               golang-k8s-apimachinery-dev,
               golang-k8s-cli-runtime-dev,
               golang-k8s-client-go-dev,
               golang-k8s-component-base-dev,
               golang-k8s-component-helpers-dev,
               golang-k8s-klog-dev,
               golang-k8s-kube-openapi-dev,
               golang-k8s-metrics-dev,
               golang-k8s-sigs-json-dev,
               golang-k8s-sigs-kustomize-dev,
               golang-k8s-sigs-kustomize-kyaml-dev,
               golang-k8s-sigs-structured-merge-diff-dev,
               golang-k8s-sigs-yaml-dev,
               golang-k8s-utils-dev,
               curl <!nocheck> | wget <!nocheck>,
               help2man <!nodoc>
Standards-Version: 4.7.2
Homepage: https://kubernetes.io/
Vcs-Browser: https://salsa.debian.org/kubernetes-team/packages/kubernetes
Vcs-Git: https://salsa.debian.org/kubernetes-team/packages/kubernetes.git
Rules-Requires-Root: no
XS-Go-Import-Path: k8s.io/kubernetes

Package: kubectl
Architecture: any
Breaks: kubernetes-client (<< 1.31.4~)
Replaces: kubernetes-client (<< 1.31.4~)
Static-Built-Using: ${misc:Static-Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Command-line tool for controlling Kubernetes clusters
 The official command-line tool for interacting with Kubernetes clusters.
 .
 It allows users to manage and configure Kubernetes resources, deploy
 applications, inspect and troubleshoot workloads, and automate cluster
 operations.
 .
 With kubectl, you can perform actions such as scaling deployments, rolling
 out updates, debugging services, and viewing cluster logs.
 .
 The tool supports a wide range of commands for managing pods, nodes, services,
 config maps, persistent volumes, and more. It also integrates with custom
 plugins and supports client-side filtering and resource scripting for advanced
 use cases.

Package: golang-k8s-kubectl-dev
Architecture: all
Multi-Arch: foreign
Section: golang
Depends: golang-github-chai2010-gettext-go-dev,
         golang-github-daviddengcn-go-colortext-dev,
         golang-github-distribution-reference-dev,
         golang-github-evanphx-json-patch-dev,
         golang-github-exponent-io-jsonpath-dev,
         golang-github-fatih-camelcase-dev,
         golang-github-go-openapi-jsonreference-dev,
         golang-github-google-gnostic-models-dev,
         golang-github-google-go-cmp-dev,
         golang-github-jonboulle-clockwork-dev,
         golang-github-liggitt-tabwriter-dev,
         golang-github-lithammer-dedent-dev,
         golang-github-makenowjust-heredoc-dev,
         golang-github-mitchellh-go-wordwrap-dev,
         golang-github-moby-term-dev,
         golang-github-onsi-ginkgo-v2-dev,
         golang-github-pkg-errors-dev,
         golang-github-russross-blackfriday-v2-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-github-stretchr-testify-dev,
         golang-golang-x-sys-dev,
         golang-gopkg-yaml.v2-dev,
         golang-k8s-api-dev,
         golang-k8s-apimachinery-dev,
         golang-k8s-cli-runtime-dev,
         golang-k8s-client-go-dev,
         golang-k8s-component-base-dev,
         golang-k8s-component-helpers-dev,
         golang-k8s-klog-dev,
         golang-k8s-kube-openapi-dev,
         golang-k8s-metrics-dev,
         golang-k8s-sigs-json-dev,
         golang-k8s-sigs-kustomize-dev,
         golang-k8s-sigs-kustomize-kyaml-dev,
         golang-k8s-sigs-structured-merge-diff-dev,
         golang-k8s-sigs-yaml-dev,
         golang-k8s-utils-dev,
         ${misc:Depends}
Description: Kubernetes client tools for interacting with clusters (library)
 Contains utilities and packages designed for building custom Kubernetes client
 tools.
 .
 It includes essential components for interacting with Kubernetes clusters,
 such as handling API requests, managing configuration, and implementing custom
 commands.
 .
 Intended for developers creating client-side programs that integrate with
 Kubernetes environments.

Package: kubernetes-client
Architecture: amd64 arm64 armel armhf i386 s390x
Section: oldlibs
Depends: kubectl
Description: Transitional package
 This is a transitional package. It can safely be removed.
