## kubernetes 1.32.3+ds

=== debian/changelog ===
kubernetes (1.32.3+ds-2) unstable; urgency=medium

  * d/t/kubectl.sh:
    - Redirect stderr to stdout for kind export kubeconfig commands
    - Remove -x from set and add echo for commands being executed
    - Use --client flag in kubectl version to prevent stderr output

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Fri, 27 Jun 2025 13:52:04 +0100

kubernetes (1.32.3+ds-1) unstable; urgency=medium

  * New upstream version 1.32.3+ds
  * d/control: Set minimum version (>= 0.32) for Kubernetes dependencies
  * d/copyright: Add staging/src/k8s.io/externaljwt to Files-Excluded
  * d/kubectl.lintian-overrides: Remove unused override file for kubectl
  * d/rules: Update Kubernetes release commit hash variable
  * d/s/lintian-overrides: Remove override for missing Built-Using field in
    kubectl section

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 31 Mar 2025 21:49:50 +0100
