=== debian/control ===
--- 
+++ 
@@ -31,15 +31,15 @@
                golang-github-stretchr-testify-dev,
                golang-golang-x-sys-dev,
                golang-gopkg-yaml.v2-dev,
-               golang-k8s-api-dev,
-               golang-k8s-apimachinery-dev,
-               golang-k8s-cli-runtime-dev,
-               golang-k8s-client-go-dev,
-               golang-k8s-component-base-dev,
-               golang-k8s-component-helpers-dev,
+               golang-k8s-api-dev (>= 0.32),
+               golang-k8s-apimachinery-dev (>= 0.32),
+               golang-k8s-cli-runtime-dev (>= 0.32),
+               golang-k8s-client-go-dev (>= 0.32),
+               golang-k8s-component-base-dev (>= 0.32),
+               golang-k8s-component-helpers-dev (>= 0.32),
                golang-k8s-klog-dev,
                golang-k8s-kube-openapi-dev,
-               golang-k8s-metrics-dev,
+               golang-k8s-metrics-dev (>= 0.32),
                golang-k8s-sigs-json-dev,
                golang-k8s-sigs-kustomize-dev,
                golang-k8s-sigs-kustomize-kyaml-dev,
@@ -104,15 +104,15 @@
          golang-github-stretchr-testify-dev,
          golang-golang-x-sys-dev,
          golang-gopkg-yaml.v2-dev,
-         golang-k8s-api-dev,
-         golang-k8s-apimachinery-dev,
-         golang-k8s-cli-runtime-dev,
-         golang-k8s-client-go-dev,
-         golang-k8s-component-base-dev,
-         golang-k8s-component-helpers-dev,
+         golang-k8s-api-dev (>= 0.32),
+         golang-k8s-apimachinery-dev (>= 0.32),
+         golang-k8s-cli-runtime-dev (>= 0.32),
+         golang-k8s-client-go-dev (>= 0.32),
+         golang-k8s-component-base-dev (>= 0.32),
+         golang-k8s-component-helpers-dev (>= 0.32),
          golang-k8s-klog-dev,
          golang-k8s-kube-openapi-dev,
-         golang-k8s-metrics-dev,
+         golang-k8s-metrics-dev (>= 0.32),
          golang-k8s-sigs-json-dev,
          golang-k8s-sigs-kustomize-dev,
          golang-k8s-sigs-kustomize-kyaml-dev,
