=== debian/control ===
Source: kubernetes
Section: admin
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends: debhelper-compat (= 13),
	       golang-go (>= 1.24),
	       dh-golang,
Standards-Version: 4.7.0
Homepage: https://kubernetes.io
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/kubernetes
Vcs-Git: https://gitlab.com/kaisenlinux/packages/kubernetes.git
XS-Go-Import-Path: github.com/kubernetes/kubernetes

Package: kubernetes-client
Architecture: amd64 arm64
Depends: ${shlibs:Depends},
	 ${misc:Depends},
Suggests: helm,
	  k9s,
	  kind,
	  krew,
	  kubectx,
	  kustomize,
	  kyverno,
	  popeye,
Description: Production-Grade Container Scheduling and Management (client binaries)

Package: kubernetes-worker
Architecture: amd64 arm64
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Production-Grade Container Scheduling and Management (worker binaries)

Package: kubernetes-master
Architecture: amd64 arm64
Depends: ${shlibs:Depends},
         ${misc:Depends},
	 etcd-server,
Description: Production-Grade Container Scheduling and Management (master binaries)
