=== debian/rules ===
#!/usr/bin/make -f

export GOPATH=$(CURDIR)/_output

%:
	dh $@

override_dh_auto_clean:
	rm -rf $(CURDIR)/_output/

override_dh_auto_build:
	#Kubernetes compilation
	make all
	make genman
	make gendocs
	make genkubedocs

override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs -X CHANGELOG.md CHANGELOG/CHANGELOG-*.md

override_dh_auto_install:
	#Make directory for manpages and docs
	mkdir -p $(CURDIR)/_output/docs $(CURDIR)/_output/man
	#Install the kubectl BASH completion
	$(CURDIR)/_output/bin/kubectl completion bash > $(CURDIR)/debian/kubernetes-client/usr/share/bash-completion/completions/kubectl
	#Install the kubectl ZSH completion
	$(CURDIR)/_output/bin/kubectl completion zsh > $(CURDIR)/debian/kubernetes-client/usr/share/zsh/vendor-completions/_kubectl
	#Generate kubernetes-client manpages
	$(CURDIR)/_output/bin/genman $(CURDIR)/_output/man kubectl
	#Generate kubernetes-worker manpages
	$(CURDIR)/_output/bin/genman $(CURDIR)/_output/man kubelet
	$(CURDIR)/_output/bin/genman $(CURDIR)/_output/man kube-proxy
	#Generate kubernetes-master manpages
	$(CURDIR)/_output/bin/genman $(CURDIR)/_output/man kubeadm
	$(CURDIR)/_output/bin/genman $(CURDIR)/_output/man kube-apiserver
	$(CURDIR)/_output/bin/genman $(CURDIR)/_output/man kube-controller-manager
	$(CURDIR)/_output/bin/genman $(CURDIR)/_output/man kube-scheduler
	#Generate kubernetes-client docs
	$(CURDIR)/_output/bin/gendocs $(CURDIR)/_output/docs
	#Generate kubernetes-worker docs
	$(CURDIR)/_output/bin/genkubedocs $(CURDIR)/_output/docs kubelet
	$(CURDIR)/_output/bin/genkubedocs $(CURDIR)/_output/docs kube-proxy
	#Generate kubernetes-master docs
	$(CURDIR)/_output/bin/genkubedocs $(CURDIR)/_output/docs kubeadm
	$(CURDIR)/_output/bin/genkubedocs $(CURDIR)/_output/docs kube-apiserver
	$(CURDIR)/_output/bin/genkubedocs $(CURDIR)/_output/docs kube-controller-manager
	$(CURDIR)/_output/bin/genkubedocs $(CURDIR)/_output/docs kube-scheduler

override_dh_dwz:
